Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class BaseGradient

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.BaseGradient

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  BaseControlBackgroundImage

    public class BaseGradient

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski - nbelaevski@exadel.com created 02.02.2007

Field Summary
`protected GradientType` | `gradientType`
`protected Integer` | `headerBackgroundColor`
`protected Integer` | `headerGradientColor`

Constructor Summary
`BaseGradient()`
`BaseGradient(boolean horizontal)`
`BaseGradient(int width, int height)`
`BaseGradient(int width, int height, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight)`
`BaseGradient(int width, int height, int gradientHeight, boolean horizontal)`
`BaseGradient(int width, int height, int gradientHeight, String baseColor, String gradientColor)`
`BaseGradient(int width, int height, int gradientHeight, String baseColor, String gradientColor, boolean horizontal)`
`BaseGradient(int width, int height, String baseColor, String gradientColor)`
`BaseGradient(int width, int height, String baseColor, String gradientColor, boolean horizontal)`
`BaseGradient(String baseColor, String gradientColor)`
`BaseGradient(String baseColor, String gradientColor, boolean horizontal)`

Method Summary
`protected void` | `drawGradient(Graphics2D g2d, Shape shape, GradientType.BiColor colors, int height)`
`protected String` | `getBaseColor()`
`Dimension` | `getDimension()`
`protected String` | `getGradientColor()`
`protected Integer` | `getGradientHeight()`
`protected Integer` | `getHeight()`
`protected Integer` | `getSafeGradientHeight()`
`protected Integer` | `getSafeHeight()`
`protected Integer` | `getSafeWidth()`
`protected Integer` | `getWidth()`
`void` | `initialize()`
`protected void` | `initializeProperties(javax.faces.context.FacesContext context, org.richfaces.skin.Skin skin)`
`protected boolean` | `isHorizontal()`
`boolean` | `isTransient()`
`void` | `paint(Graphics2D graphics2d)`
`protected void` | `paintGradient(Graphics2D g2d, Dimension dim)`
`protected Integer` | `readIntegerParameter(DataInput dataInput)`
`protected Integer` | `readIntegerParameterAsShort(DataInput dataInput)`
`void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
`void` | `setBaseColorParam(String paramName)`
`void` | `setGradientColorParam(String paramName)`
`void` | `setGradientHeight(Integer gradientHeight)`
`void` | `setGradientType(GradientType gradientType)`
`void` | `setHeight(Integer height)`
`void` | `setHorizontal(boolean horizontal)`
`void` | `setWidth(Integer width)`
`protected void` | `writeIntegerParameter(DataOutput dataOutput, Integer parameter)`
`protected void` | `writeIntegerParameterAsShort(DataOutput dataOutput, Integer parameter)`
`void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerBackgroundColor

    protected Integer headerBackgroundColor

### headerGradientColor

    protected Integer headerGradientColor

### gradientType

    protected GradientType gradientType

Constructor Detail

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        String baseColor,
                        String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        String baseColor,
                        String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        String baseColor,
                        String gradientColor)

### BaseGradient

    public BaseGradient()

### BaseGradient

    public BaseGradient(String baseColor,
                        String gradientColor)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        int gradientHeight,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(int width,
                        int height,
                        String baseColor,
                        String gradientColor,
                        boolean horizontal)

### BaseGradient

    public BaseGradient(boolean horizontal)

### BaseGradient

    public BaseGradient(String baseColor,
                        String gradientColor,
                        boolean horizontal)

Method Detail

### initializeProperties

    protected void initializeProperties(javax.faces.context.FacesContext context,
                                        org.richfaces.skin.Skin skin)

### initialize

    public final void initialize()

### setWidth

    public final void setWidth(Integer width)

### setHeight

    public final void setHeight(Integer height)

### setGradientHeight

    public final void setGradientHeight(Integer gradientHeight)

### setBaseColorParam

    public final void setBaseColorParam(String paramName)

### setGradientColorParam

    public final void setGradientColorParam(String paramName)

### setHorizontal

    public final void setHorizontal(boolean horizontal)

### setGradientType

    public final void setGradientType(GradientType gradientType)

### getDimension

    public Dimension getDimension()

  Specified by:
    `getDimension` in interface `org.richfaces.resource.Java2DUserResource`
  Overrides:
    `getDimension` in class `org.richfaces.resource.AbstractJava2DUserResource`

### getGradientHeight

    protected Integer getGradientHeight()

  Returns:
    the gradientHeight

### getHeight

    protected Integer getHeight()

### getWidth

    protected Integer getWidth()

### getSafeGradientHeight

    protected Integer getSafeGradientHeight()

### getSafeHeight

    protected Integer getSafeHeight()

### getSafeWidth

    protected Integer getSafeWidth()

### getBaseColor

    protected String getBaseColor()

  Returns:
    the baseColor

### getGradientColor

    protected String getGradientColor()

  Returns:
    the gradientColor

### isHorizontal

    protected boolean isHorizontal()

  Returns:
    the horizontal

### drawGradient

    protected void drawGradient(Graphics2D g2d,
                                Shape shape,
                                GradientType.BiColor colors,
                                int height)

### paint

    public void paint(Graphics2D graphics2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### paintGradient

    protected void paintGradient(Graphics2D g2d,
                                 Dimension dim)

  Parameters:
    `g2d` -
    `dim` -

### readState

    public void readState(javax.faces.context.FacesContext context,
                          DataInput dataInput)
                   throws IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           DataOutput dataOutput)
                    throws IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `IOException`

### writeIntegerParameterAsShort

    protected void writeIntegerParameterAsShort(DataOutput dataOutput,
                                                Integer parameter)
                                         throws IOException

  Throws:
    `IOException`

### readIntegerParameterAsShort

    protected Integer readIntegerParameterAsShort(DataInput dataInput)
                                           throws IOException

  Throws:
    `IOException`

### writeIntegerParameter

    protected void writeIntegerParameter(DataOutput dataOutput,
                                         Integer parameter)
                                  throws IOException

  Throws:
    `IOException`

### readIntegerParameter

    protected Integer readIntegerParameter(DataInput dataInput)
                                    throws IOException

  Throws:
    `IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.